Bug 139577 - postinstall abort while installing boot loader "[Errno 21] Is a directory"
postinstall abort while installing boot loader "[Errno 21] Is a directory"
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-11-16 14:40 EST by John Reiser
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-02 07:44:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda traceback dump saved onto floppy (672.78 KB, text/plain)
2004-11-16 14:42 EST, John Reiser
no flags Details

  None (edit)
Description John Reiser 2004-11-16 14:40:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Unexpected abort dialog box during postinstall (after all packages)
while installing bootloader.  Harddisk fresh install of Workstation
(minus openoffice-i18n, plus compat-devel tools) to reformatted ext3
root, use existing separate ext3 /boot, another ext3 filesystem also
mounted.  Saved debug info to floppy, and will attach.  System would
boot, but only in text mode, and I had no clue what to do with
firstboot in text mode.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try [yet]

Steps to Reproduce:
1. Fresh install Workstation: reformat existing ext3 as root, use
existing ext3 /boot, mount one other existing ext3 filesystem. 
Machine multiboots several other RedHat and Fedora versions.

Actual Results:  Package install completes, postinstall configuration
gets about 50% done, then unexpected dialog box with ananconda error
and choice to Debug or Save to Floppy.

Expected Results:  No complaints.

Additional info:
Comment 1 John Reiser 2004-11-16 14:42:05 EST
Created attachment 106840 [details]
anaconda traceback dump saved onto floppy
Comment 2 Jeremy Katz 2004-11-16 15:07:07 EST
Is this reproducible?  It looks like we're trying to read a directory
instead of a file, but I don't see how that could be reading the code.

If it is reproducible, can you go into the debug prompt and type
print bootDev

Comment 3 John Reiser 2004-11-16 23:35:39 EST
The first attempt to reproduce this bug, hung in package install at
glibc-kernheaders ("15 minutes remaining").  The second attempt
completed the whole fresh install successfully.  Although the "white
box" hardware has been reliably running RHEL3 (taroon), Fedora Core 3,
and other systems, I then ran memtest86+ for 5 hours (4 complete
passes) with no failures.  Rebooting RHEL4 Beta2, I observed kernel
bug and oopses: bug 139638.  Trying to run up2date to check for a new
kernel, I found xmlrpc.redhat.com was not responding.  Maybe I'll try
again tomorrow.

Comment 4 Jeremy Katz 2005-02-01 22:11:09 EST
Seen it again?
Comment 5 John Reiser 2005-02-02 00:05:42 EST
I did not try again.  This fell off the bottom of the list of things to do.

Note You need to log in before you can comment on or make changes to this bug.